Subject: Re: [PATCH] make _minimum_ TCP retransmission timeout configurable

From: John Heffner <[email-masked]>
Date: Wed, 29 Aug 2007 18:52:48 -0400

John Heffner wrote:
>> What exactly causes such a huge delay?  What is the TCP measured RTO
>> in these circumstances where spurious RTOs happen and a 3 second
>> minimum RTO makes things better?
> 
> I haven't done a lot of work on wireless myself, but my understanding is 
> that one of the biggest problems is the behavior link-layer 
> retransmission schemes.  They can suddenly increase the delay of packets 
> by a significant amount when you get a burst of radio interference. It's 
> hard for TCP to gracefully handle this kind of jump without some minimum 
> RTO, especially since wlan RTTs can often be quite small.

(Replying to myself) Though F-RTO does often help in this case.

   -John